Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Writer Class Reference
[IO core interfaces]

Inheritance diagram for Writer:

## Detailed Description

Abstract character writer class.

Writes specified character sequences into abstract stream.

## Public Member Functions
virtual void | write (const String &string)
| Writes string.
virtual void | write (const String *string)
| Writes string.
virtual void | write (const String &string, int from, int num)
| Writes `num` characters of string, starting at `from` position.
virtual void | write (const String *string, int from, int num)
| Writes `num` characters of string, starting at `from` position.
virtual void | write (wchar c)=0
| Writes single character.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.